Get VPN traffic report for the last 7 days
curl --request GET \
--url https://closedvpn.io/auth/vpn-report-stats \
--header 'Authorization: Bearer <token>'import requests
url = "https://closedvpn.io/auth/vpn-report-stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://closedvpn.io/auth/vpn-report-stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"reportStats": [
{
"orgId": "60c72b2f5f1b2c001c8e4b1a",
"onlineUsers": 3,
"trafficData": [
{
"date": "Mon",
"downloaded": 104857600,
"uploaded": 52428800
}
],
"userStats": [
{
"userId": "60c72b2f5f1b2c001c8e4b1b",
"dailyUsage": [
{
"date": "Mon",
"downloaded": 10485760,
"uploaded": 5242880
}
]
}
]
}
]
}{
"message": "Unauthorized"
}{
"success": false,
"message": "User not found"
}{
"success": false,
"message": "Server error"
}Statistics
VPN Traffic Report
Returns detailed VPN traffic statistics including daily download/upload data, online user count and per-user usage breakdown for all the user’s organizations.
GET
/
auth
/
vpn-report-stats
Get VPN traffic report for the last 7 days
Authorizations
Personal Access Token (PAT) passed in the Authorization header (e.g., Bearer <pat>) for authenticated API requests. PATs are generated via /auth/generate-pat after authenticating through the magic link flow.

